<?php

/**
 * KataoSupplierProductCategory form base class.
 *
 * @package    form
 * @subpackage katao_supplier_product_category
 * @version    SVN: $Id: sfPropelFormGeneratedTemplate.php 15484 2009-02-13 13:13:51Z fabien $
 */
class BaseKataoSupplierProductCategoryForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'katao_supplier_id'         => new sfWidgetFormInputHidden(),
      'katao_product_category_id' => new sfWidgetFormInputHidden(),
    ));

    $this->setValidators(array(
      'katao_supplier_id'         => new sfValidatorPropelChoice(array('model' => 'KataoSupplier', 'column' => 'id', 'required' => false)),
      'katao_product_category_id' => new sfValidatorPropelChoice(array('model' => 'KataoProductCategory', 'column' => 'id', 'required' => false)),
    ));

    $this->widgetSchema->setNameFormat('katao_supplier_product_category[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'KataoSupplierProductCategory';
  }


}
